<?php
 
/**
 * Use for the show the testimonials at home page and in testimonial page with shortcode
 * @param int $pageId default is null the id of a post
 * @param boolean $isCustomizer default is false if set to true it mean the output is set for the home page
 * @param int $i default null
 * @param boolean $showStaticVals default is false
 * @return string
 * @author Luzuk <support@luzuk.com>
 * */
function testimonialShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-testimonial');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('test_npp_count', 5);
    $cols++;
    switch($cols){
        
            }
           $icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');     
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $lz_fitness_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');
        $post = get_post();

            if (($postN % 3) == 0 && $isCustomizer == false) {
                ?>
                <div class="clearfix"></div>
            </div>
            <div class="row">
                <?php
            }
            ++$postN;
            ?>
            <div class="<?php echo $colCls; ?> item innertest-item">
                <div class="timelimeicon"></div>
              <div class="ts-area-single text-center col-md-12 col-sm-12 col-xs-12 pd-0">
              <div class="col-md-3 col-sm-4 col-xs-12 pd-0 innertest-thumb">
                  <div class="ts-area-thumb">
                    <img src="<?php echo (!empty($lz_fitness_image[0])) ? $lz_fitness_image[0] : get_template_directory_uri() . '/images/team-thumb.png' ?>" class="img-responsive" alt="<?php the_title(); ?>" />
                  </div>
              </div>
             <div class="ts-area-content text-center col-md-9 col-sm-8 col-xs-12 pd-0 innertest-content">
              
              <div class="ts-area-c section-area-text ">   
                <p><?php
                    if (has_excerpt()) {
                        echo get_the_excerpt();
                    } else {
                        echo get_the_content();
                    }
                    ?> 
                </p> 
                
              </div> 
              <div class="pd-0 ts-area-bx">
                <div class="col-md-1 col-sm-1 col-xs-1 pd-0 ts-inn-icon">
                      <?php 
                    $clientname_image = get_theme_mod('clientname_image');
                    if(!empty($clientname_image)){
                      echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($clientname_image).'" class="img-responsive secondry-bg-img" />';
                    }else{
                      echo '<img alt="clientname image" src="'.get_template_directory_uri().'/images/testim02.png" class="img-responsive" />';
                    }
                    ?>
                </div>
                <div class="col-md-11 col-sm-11 col-xs-11 con-inn">
                    <div class="col-md-6 pd-0">
                        <h6 class="ts-area-title"><?php the_title(); ?></h6>
                    </div>
                    <div class="col-md-6 pd-0 tes-inn">
                        <div class="text-designation">
                            <?php
                                $name2 = get_post_meta($post->ID, 'testimonial_Sub_Title', false);
                                echo (!empty($name2[0])) ? $name2[0] : '';
                             ?> 
                        </div>
                    </div>
                </div>
              </div>
              <div class="clearfix"></div>
            </div>
        </div>


            </div>
        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

/*services / Destinations */
function serviceShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('service_npp_count',3);  
    $services_page_icon1 = get_theme_mod('services_page_icon1'.$i);

    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        $colCls = 'col-md-4 col-sm-6';
        break;
        default: 
        $colCls = 'col-md-3 col-sm-6';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

            while ($query->have_posts()) : $query->the_post();
                $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-service-thumb');
                $post = get_post();

                 $servicesNum = get_post_meta($post->ID, 'servicesNum', false);
                    $services_Num = !empty($servicesNum[0]) ? $servicesNum[0] : '';

                ?>
                <div class="<?php echo $colCls;?> single-service-bx wow zoomIn">
                    <div class="single-service">
                        <div class="service-icon">
                             <a href="<?php the_permalink(); ?>">
                          <?php
                            if (has_post_thumbnail()) {
                                $image_url = $luzuk_image[0];
                            } else {
                                $image_url = get_template_directory_uri() . '/images/services.jpg';
                            }
                          ?>
                            <img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                        </a>
                        </div>
                        <div class="service-title-box">
                            <a href="<?php the_permalink(); ?>">
                                <h4 class="post-title inner-area-title"><?php the_title(); ?></h4>
                            </a>
                                 <p class="post-text inner-area-text"> <?php
                                    if(has_excerpt()){
                                      echo get_the_excerpt();
                                     }else{
                                      echo luzuk_excerpt( get_the_content() , 100 );
                                     } 
                                    ?>
                                </p> 
                                <div class="post-num">
                                   <?php echo $services_Num; ?>
                                </div> 

                                  <?php if( get_theme_mod('services_button_display','show' ) == 'show') : ?>
                          <?php
                             $ct_service_page_id = get_theme_mod('ct_service_page'); 
                            $servicesbutn_text = get_theme_mod('servicesbutn_text', 'Read more');
                            ?>

                            <div class="servicesbtn">
                                <a href="<?php the_permalink(); ?>"><?php echo $servicesbutn_text; ?></a>
                            </div>
                          <?php endif ?>
                        </div>
                    </div>  

                    <script>
                        jQuery.noConflict();
                        $(function(){
                            function singleserviceHeight(){
                                var ht = 0;
                                $('#innerpage-box .single-service').each(function(i){
                                    var tHt = $(this).height();
                                    if(ht<tHt){
                                        ht=tHt;
                                    }
                                });
                                $('#innerpage-box .single-service').height(ht+'px');
                            }
                            singleserviceHeight();
                        });
                        $( window ).resize(function(){
                            singleserviceHeight();
                        });
                    </script>

                </div>


                <?php
            endwhile;
            $text = ob_get_contents();
            ob_clean();
        endif;
        wp_reset_postdata();
        return $text;
    }


// =============================


/*services*/
function packageShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-package');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('package_npp_count',2);  
    $package_page_icon1 = get_theme_mod('package_page_icon1'.$i);

    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        $colCls = 'col-md-4 col-sm-6';
        break;
        default: 
        $colCls = 'col-md-3 col-sm-6';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

            while ($query->have_posts()) : $query->the_post();
                $luzuk_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-package-thumb');
                $post = get_post();

                 $packageNum = get_post_meta($post->ID, 'packageNum', false);
                    $package_Num = !empty($packageNum[0]) ? $packageNum[0] : '';

                $package1Num = get_post_meta($post->ID, 'package1Num', false);
                    $package_Num1 = !empty($package1Num[0]) ? $package1Num[0] : '';

                 $packagelocation = get_post_meta($post->ID, 'packagelocation', false);
                    $package_location = !empty($packagelocation[0]) ? $packagelocation[0] : '';

                ?>
                <div class="<?php echo $colCls;?> single-package-bx">
                    <div class="single-package">
                        <div class="package-icon">
                            <a href="<?php the_permalink(); ?>">
                          <?php
                            if (has_post_thumbnail()) {
                                $image_url = $luzuk_image[0];
                            } else {
                                $image_url = get_template_directory_uri() . '/images/package.jpg';
                            }
                          ?>
                            <img class="img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                            <div class="ovrly"></div>
                        </a>
                        </div>
                        <div class="package-title-box">
                            <a href="<?php the_permalink(); ?>">
                                <h4><?php the_title(); ?></h4>
                            </a>
                            <?php if($package_location) { ?>
                                <div class="pkloctn">
                                    <div class="col-md-1 col-sm-1 col-xs-1 pd-0">
                                        <i class="fa fa-map-marker"></i>
                                    </div>
                                    <div class="col-md-11 col-sm-11 col-xs-11 pkloctntext pd-0">
                                        <?php echo $package_location; ?>
                                    </div>
                                    <div class="clearfix"></div>
                                </div>
                            <?php }?>
                                 <p class="pk-text"> <?php
                                    if(has_excerpt()){
                                      echo get_the_excerpt();
                                     }else{
                                      echo luzuk_excerpt( get_the_content() , 100 );
                                     } 
                                    ?>
                                </p> 
                                <div class="col-md-8 pd-0">
                                    <div class="pkday">
                                        <?php echo $package_Num; ?>
                                        
                                    </div> 
                                </div>
                                <div class="col-md-4 pkinprce">
                                    <div class="pkprice">
                                        <?php echo $package_Num1; ?>
                                    </div> 
                                </div>
                            <div class="clearfix"></div>
                        </div>
                    <div class="clearfix"></div>
                </div>  
                    <script>
                        jQuery.noConflict();
                        $(function(){
                            function singlepackagebxHeight(){
                                var ht = 0;
                                $('#innerpage-box .single-package-bx').each(function(i){
                                    var tHt = $(this).height();
                                    if(ht<tHt){
                                        ht=tHt;
                                    }
                                });
                                $('#innerpage-box .single-package-bx').height(ht+'px');
                            }
                            singlepackagebxHeight();
                        });
                        $( window ).resize(function(){
                            singlepackagebxHeight();
                        });
                    </script>

                </div>


                <?php
            endwhile;
            $text = ob_get_contents();
            ob_clean();
        endif;
        wp_reset_postdata();
        return $text;
    }



//===============================
/**
 * Use for the show the gallery at home page and in testimonial page with shortcode
 * @param int $pageId default is null the id of a post
 * @param boolean $isCustomizer default is false if set to true it mean the output is set for the home page
 * @param int $i default null
 * @param boolean $showStaticVals default is false
 * @return string
 * @author Luzuk <support@luzuk.com>
 * */


    /**
     * Use for the show the pricing at home page and in pricing page with shortcode
     * @param int $pageId default is null the id of a post
     * @param boolean $isCustomizer default is false if set to true it mean the output is set for the home page
     * @param int $i default null
     * @param boolean $showStaticVals default is false
     * @return void
     * @author Luzuk <support@luzuk.com>
     * */
    function pricingShortcode() {
      ob_start();
      $cols = get_theme_mod('pricing_npp_count', 2);
      $cols++;
      switch ($cols) {
        case 1:
            $colCls = 'col-md-12 col-sm-12 col-xs-12';
            break;
            case 2: 
            $colCls = 'col-md-6 col-sm-6 col-xs-12';
            break;
            case 3:
            case 5:
            case 6:
            case 9:
            case 11:
            case 13:
            case 15:
            $colCls = 'col-md-4 col-sm-6 col-xs-12';
            break;
            default: 
            $colCls = 'col-md-6 col-sm-6 col-xs-12';
            break;
    }

    $showStatic = true;
    for ($i = 1; $i <= $cols; $i++) {
        $PlanPageId = get_theme_mod('pricing_plan_page_' . $i);
        $pricing_page_icon = get_theme_mod('pricing_plan_page_icon_'.$i);
        $planTitle  = get_theme_mod('pricing_plan_name_' . $i, 'Standard Plan');
        $planunit  = get_theme_mod('pricing_plan_unit_' . $i,'$');
        $planPrice  = get_theme_mod('pricing_plan_price_' . $i,'30');
        $planContent= get_theme_mod('pricing_plan_content_' . $i, '
            <p>Excepteur sint occaecat cupidatat non proi dent sunt in culpa.</p>
            <li>1 Bathroom Cleaning</li>
            <li>Up to 3 Bedrooms Cleaning</li>
            <li>1 Livingroom Cleaning</li>');

        $link = get_theme_mod('pricing_plan_url'.$i);
        $url = get_theme_mod('pricing_plan_url_'.$i, '#');

        if ($PlanPageId || $planTitle || $planunit || $planPrice || $planContent || $url || $pricing_page_icon) {
          $showStatic = false;
          ?>
          <div class="<?php echo $colCls; ?> pd-0">
            <div class="single-pricing wow bounceInUp">
            <div class="pr-s-area">
                <h4 class="plan-title inner-area-title" href="#">
                    <?php echo ($planTitle); ?>
                </h4>
                <div class="currency-price"><?php echo ($planunit); ?><?php echo ($planPrice); ?></div>
                <svg viewbox="0 0 100 25">
                    <path fill="#fff" d="M0 30 V19 Q30 28 50 20 T100 25 V30z" />
                </svg>
            </div>
            <ul class="pricing-list section-area-text wow slideInLeft"> <?php echo ($planContent); ?></ul>
            
            <?php
            $pricing_page_id = get_theme_mod('pricing_page');
            $pricing_page_button_title = get_theme_mod('pricing_page_button_title_'.$i, 'Select Plan');
            ?>
            <?php if($pricing_page_button_title){ ?>
                <div class="pc-btn wow zoomIn" data-wow-duration="4s">    
                    <a class="btn btn-lg" href="<?php echo esc_url(!empty($url)?$url:'#');?>" data-hover="/f178" >
                       <?php echo ($pricing_page_button_title);  ?>
                    </a>
                </div>
              

            <?php } ?>
            <!--  <div class="clearfix"></div> -->
        </div>
    </div>
    <?php
}
}
if ($showStatic === true) {
  for ($i = 1; $i <= $cols; $i++) {
    $link = get_theme_mod('pricing_plan_url'.$i);
    $url = get_theme_mod('pricing_plan_url_'.$i, '#');

    ?>
    <div class="<?php echo $colCls; ?> plan">
      <div class="pricing-plans">

        <div class="price-box">
          <div class="price-bx">

            <div class="plan-cost">$30</div>
        </div>
        <div class="clearfix"></div>
        <h4 class="plan-title">STANDARD</h4>
        <div class="table-content">
        Excepteur sint occaecat cupidatat non proi dent sunt in culpa.
     </div>
     <div class="clearfix"></div>
     <div class="pri-table-link">
      <a class="btn" href="#">DETAILS</a>
  </div>
</div>
<!-- <div class="clearfix"></div> -->
</div>
</div>
<?php
}

}

$pricingHtml = ob_get_contents();
        // echo $pricingHtml;
ob_flush();
ob_clean();
}
